--- /etc/init.d/xdm	2008-12-03 13:57:13.000000000 +0100
+++ /etc/init.d/xdm	2009-05-20 10:20:34.000000000 +0200
@@ -179,7 +179,11 @@
                 rc_exit
             fi
 	fi
-	startproc -p $PIDFILE $DISPLAYMANAGER $XDMOPTIONS || rc_failed
+	if cat /proc/cmdline | grep -q liveinstall; then
+            /usr/lib/YaST2/startup/YaST2.call live-installer
+        else
+	    startproc -p $PIDFILE $DISPLAYMANAGER $XDMOPTIONS || rc_failed
+        fi
 	# After a crash or a kill signal we may have
 	# a wrong owner ship of /dev/xconsole
 	if rc_status ; then
--- /usr/lib/YaST2/startup/YaST2.call	2009-08-21 17:35:22.000000000 +0200
+++ /usr/lib/YaST2/startup/YaST2.call	2009-10-01 11:51:50.000000000 +0200
@@ -638,7 +638,9 @@
 # 8) Call YaST2
 #---------------------------------------------
 Y2_MODULE_NAME=${1:-installation}; shift
+if test "$Y2_MODULE_NAME" != "live-installer"; then
 Y2_MODULE_ARGS=\(\"$*\"\)
+fi
 start_yast
 
 #=============================================
